Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.util.zip
Class CRC32

    java.lang.Object
      |
      +--java.util.zip.CRC32

All Implemented Interfaces:
  Checksum

public class CRC32
extends Object
implements Checksum

A class that can be used to compute the CRC-32 of a data stream.

See Also:
  `Checksum`

Constructor Summary
`CRC32()` Creates a new CRC32 class.

Method Summary
`long` | `getValue()` Returns CRC-32 value.
`void` | `reset()` Resets CRC-32 to initial value.
`void` | `update(byte[] b)` Updates checksum with specified array of bytes.
`void` | `update(byte[] b, int off, int len)` Updates CRC-32 with specified array of bytes.
`void` | `update(int b)` Updates CRC-32 with specified byte.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CRC32

    public CRC32()

  Creates a new CRC32 class.

Method Detail

### update

    public void update(int b)

  Updates CRC-32 with specified byte.
  Specified by:
    `update` in interface `Checksum`
  Following copied from interface: `java.util.zip.Checksum`
  Parameters:
    `b` - the byte to update the checksum with

### update

    public void update(byte[] b,
                       int off,
                       int len)

  Updates CRC-32 with specified array of bytes.
  Specified by:
    `update` in interface `Checksum`
  Following copied from interface: `java.util.zip.Checksum`
  Parameters:
    `b` - the byte array to update the checksum with
    `off` - the start offset of the data
    `len` - the number of bytes to use for the update

### update

    public void update(byte[] b)

  Updates checksum with specified array of bytes.
  Parameters:
    `the` - array of bytes to update the checksum with

### reset

    public void reset()

  Resets CRC-32 to initial value.
  Specified by:
    `reset` in interface `Checksum`

### getValue

    public long getValue()

  Returns CRC-32 value.
  Specified by:
    `getValue` in interface `Checksum`
  Following copied from interface: `java.util.zip.Checksum`
  Returns:
    the current checksum value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.